psychopy.org | Reference | Downloads | Github

Release 1.90.1 is now available


#1

This fixes a few minor buglets in the 1.90.0 release. As usual, you can download from

https://github.com/psychopy/psychopy/releases

or do pip install -U psychopy if you have your own Python installation


#2

When using the standalone from StandalonePsychoPy2_PY3-1.90.1-MacOS.dmg, I get this issue that prevents running any Builder script (under Mac OS High Sierra 10.13.3):

## Running: /Users/michael/Downloads/PsychoPy2 Demos/stroop/stroop_lastrun.py ##
Traceback (most recent call last):
  File "soundfile.pyc", line 267, in <module>
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/cffi/api.py", line 141, in dlopen
    lib, function_cache = _make_ffi_library(self, name, flags)
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/cffi/api.py", line 802, in _make_ffi_library
    backendlib = _load_backend_lib(backend, libname, flags)
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/cffi/api.py", line 797, in _load_backend_lib
    raise OSError(msg)
OSError: ctypes.util.find_library() did not manage to locate a library called 'sndfile'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/michael/Downloads/PsychoPy2 Demos/stroop/stroop_lastrun.py", line 14, in <module>
    from psychopy import locale_setup, sound, gui, visual, core, data, event, logging, clock
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/psychopy/sound/__init__.py", line 79, in <module>
    from . import backend_sounddevice as backend
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/psychopy/sound/backend_sounddevice.py", line 20, in <module>
    import soundfile as sf
  File "<frozen importlib._bootstrap>", line 961, in _find_and_load
  File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 646, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 616, in _load_backward_compatible
  File "soundfile.pyc", line 278, in <module>
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/cffi/api.py", line 141, in dlopen
    lib, function_cache = _make_ffi_library(self, name, flags)
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/cffi/api.py", line 802, in _make_ffi_library
    backendlib = _load_backend_lib(backend, libname, flags)
  File "/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python3.6/cffi/api.py", line 797, in _load_backend_lib
    raise OSError(msg)
OSError: cannot load library '/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python36.zip/_soundfile_data/libsndfile.dylib': dlopen(/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python36.zip/_soundfile_data/libsndfile.dylib, 2): no suitable image found.  Did find:
    /Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python36.zip/_soundfile_data/libsndfile.dylib: stat() failed with errno=20.  Additionally, ctypes.util.find_library() did not manage to locate a library called '/Applications/PsychoPy2_PY3.app/Contents/Resources/lib/python36.zip/_soundfile_data/libsndfile.dylib'

Basic experiment won't run - beginner!
#3

Dang! You’re right. I’ve had to remove both MacOS dmg files for now while I sort out the packaging issue.

I thought I had fixed in the packaging system, but I guess the fix wasn’t permanent! Hopefully have a fix today


#4

OK, the two Mac downloads are updated and hopefully the soundfile library is now working


#5

Great, works perfectly.

Now just have to figure out why I can no longer run the the app in the developer install from the command line under Anaconda…


#6

Hi, I think there are still some problems, see: Multiple users are having problems with libraries